# Установка

::: tip Требования к версии Node
Vue CLI 4.x требуется [Node.js](https://nodejs.org/) версии 8.9 или выше (рекомендуется v10+). Управлять несколькими версиями Node на машине можно через [n](https://github.com/tj/n), [nvm](https://github.com/creationix/nvm) или [nvm-windows](https://github.com/coreybutler/nvm-windows).
:::

Для установки нового пакета используйте одну из следующих команд. Для их выполнения потребуются права администратора, если только npm не был установлен в системе через менеджер версий Node.js (например, n или nvm).

```bash
npm install -g @vue/cli
# ИЛИ
yarn global add @vue/cli
```

После установки у вас появится доступ к `vue` в командной строке. Проверить корректность установки можно просто выполнив команду `vue`, которая отобразит справочное сообщение со списком всех доступных команд.

Вы можете проверить какая версия установлена командой:

```bash
vue --version
```

### Обновление

Для обновления глобального пакета Vue CLI выполните команду:

```bash
npm update -g @vue/cli
# ИЛИ
yarn global upgrade --latest @vue/cli
```

#### Зависимости проекта

Команды обновления, показанные выше, только для глобально установленного пакета Vue CLI. Для обновления одного или нескольких пакетов, связанных с `@vue/cli` (включая пакеты, начинающиеся с `@vue/cli-plugin-` или `vue-cli-plugin-`) внутри проекта, запустите `vue upgrade` в каталоге проекта:

```
Использование: upgrade [options] [plugin-name]
(экспериментально) upgrade vue cli service / plugins
Опции:
  -t, --to <version>    Обновить <plugin-name> до определённой версии
  -f, --from <version>  Пропустить проверку установленного плагина, предполагая что он будет обновляться с указанной версии
  -r, --registry <url>  Использовать указанный npm-регистр при установке зависимостей
  --all                 Обновить все плагины
  --next                Также проверять на наличие alpha / beta / rc версий при обновлении
  -h, --help            Вывести информацию об использовании команды
```
